import { ClassProvider } from '@nestjs/common';
import { LimiterInfo } from 'ratelimiter';
import { RateLimiterAsserter } from './asserter.interface';
import { RateLimiterModuleParams, RateLimiterParams } from './params';
import { RequireField } from './utils/require-field';
export declare class RateLimiterAsserterImpl implements RateLimiterAsserter {
    private readonly defaultParams;
    constructor(defaultParams: RateLimiterModuleParams);
    assert(params: RequireField<RateLimiterParams, 'id'>): Promise<LimiterInfo>;
}
export declare const rateLimiterAsserterProvider: ClassProvider<RateLimiterAsserter>;
