"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLimit = void 0;
const Limiter = require("ratelimiter");
async function getLimit(params) {
    const limiter = new Limiter(params);
    return new Promise((resolve, reject) => {
        limiter.get((err, limit) => {
            /* istanbul ignore next */
            if (err)
                reject(err);
            else
                resolve(limit);
        });
    });
}
exports.getLimit = getLimit;
//# sourceMappingURL=get-limit.js.map