/// <reference types="node" />
import { ServerResponse } from 'http';
import { LimiterInfo } from 'ratelimiter';
/**
 * Set headers for response
 * @param response - expressjs `response` object or fastify `response.raw` object
 * @param limiterInfo - `LimiterInfo` object from `ratelimiter`
 */
export declare function setHeaders(response: ServerResponse, limiterInfo: LimiterInfo): void;
