import { CanActivate, ClassProvider, ExecutionContext } from '@nestjs/common';
import { Reflector } from '@nestjs/core';
import { RateLimiterAsserter } from './asserter.interface';
import { RateLimiterModuleParams } from './params';
export declare class RateLimiterGuard implements CanActivate {
    private readonly defaultParams;
    private readonly asserter;
    private readonly reflector;
    constructor(defaultParams: RateLimiterModuleParams, asserter: RateLimiterAsserter, reflector: Reflector);
    canActivate(context: ExecutionContext): Promise<boolean>;
    private checkSingleParam;
    private getId;
}
export declare const rateLimiterGuardProvider: ClassProvider<CanActivate>;
